# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-04-29 14:28
from __future__ import unicode_literals

import datetime
from django.conf import settings
import django.contrib.auth.models
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import filer.fields.file


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('filer', '0007_auto_20161016_1055'),
        ('auth', '0008_alter_user_username_max_length'),
        ('viewflow', '0005_rename_flowcls'),
    ]

    operations = [
        migrations.CreateModel(
            name='Acta',
            fields=[
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('modified_date', models.DateTimeField(auto_now=True)),
                ('id_acta', models.CharField(max_length=7, primary_key=True, serialize=False)),
                ('descripcion', models.CharField(max_length=300)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='AgendarVisita',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fecha_agendada', models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name='Anexo',
            fields=[
                ('id_anexo', models.CharField(max_length=12, primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=200)),
                ('anexo', filer.fields.file.FilerFileField(null=True, on_delete=django.db.models.deletion.CASCADE, to='filer.File')),
            ],
        ),
        migrations.CreateModel(
            name='Balance',
            fields=[
                ('id_balance', models.CharField(max_length=8, primary_key=True, serialize=False, validators=[django.core.validators.RegexValidator('^\\d{1,8}$')])),
                ('descripcion', models.CharField(max_length=200)),
                ('valor_compensado', models.DecimalField(decimal_places=2, default='0,00', max_digits=15)),
                ('valor_afectacion', models.DecimalField(decimal_places=2, default='0,00', max_digits=15)),
                ('valor_balance', models.DecimalField(decimal_places=2, default='0,00', max_digits=15)),
            ],
        ),
        migrations.CreateModel(
            name='CustomUser',
            fields=[
                ('user_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL)),
                ('telefono', models.CharField(max_length=10, null=True)),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'users',
                'abstract': False,
            },
            bases=('auth.user',),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='Expediente',
            fields=[
                ('id_expediente', models.CharField(max_length=5, primary_key=True, serialize=False, validators=[django.core.validators.RegexValidator('^\\d{1,5}$')])),
                ('nombre', models.CharField(max_length=200)),
                ('resolucion', models.CharField(blank=True, max_length=12, null=True)),
                ('autorizacion', models.CharField(blank=True, max_length=12, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Ficha_individuo',
            fields=[
                ('id_arbol', models.CharField(max_length=8, primary_key=True, serialize=False)),
                ('latitud', models.DecimalField(decimal_places=6, max_digits=15, null=True)),
                ('longitud', models.DecimalField(decimal_places=6, max_digits=15, null=True)),
                ('nombre', models.CharField(max_length=100)),
                ('familia', models.CharField(max_length=100)),
                ('estado', models.CharField(max_length=300)),
                ('altura', models.FloatField()),
                ('dap', models.FloatField()),
                ('valor', models.DecimalField(decimal_places=2, default='0,00', max_digits=15)),
            ],
        ),
        migrations.CreateModel(
            name='Informe_tecnico',
            fields=[
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('modified_date', models.DateTimeField(auto_now=True)),
                ('id_informe', models.CharField(max_length=8, primary_key=True, serialize=False, validators=[django.core.validators.RegexValidator('^\\d{1,8}$')])),
                ('nombre', models.CharField(max_length=100)),
                ('descripcion', models.CharField(max_length=300)),
                ('informe', filer.fields.file.FilerFileField(null=True, on_delete=django.db.models.deletion.CASCADE, to='filer.File')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ProcesoPrueba',
            fields=[
                ('process_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='viewflow.Process')),
                ('text', models.CharField(max_length=150)),
                ('approved', models.BooleanField(default=False)),
                ('fecha', models.DateField(null=True)),
            ],
            options={
                'abstract': False,
            },
            bases=('viewflow.process',),
        ),
        migrations.CreateModel(
            name='ProcesoSolicitud',
            fields=[
                ('process_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='viewflow.Process')),
                ('approved', models.BooleanField(default=True)),
                ('text', models.CharField(default='', max_length=150)),
                ('verificaInfo', models.BooleanField(default=False)),
                ('infoCompleta', models.BooleanField(default=False)),
                ('pagoRealizado', models.BooleanField(default=False)),
                ('agendarVisita', models.DateField(blank=True, null=True)),
                ('realizaVisita', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
            },
            bases=('viewflow.process',),
        ),
        migrations.CreateModel(
            name='ProcesoVisita',
            fields=[
                ('process_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='viewflow.Process')),
                ('approved', models.BooleanField(default=True)),
                ('text', models.CharField(default='', max_length=150)),
                ('mayor_a_1000', models.BooleanField(default=False)),
                ('requiere_compensar', models.BooleanField(default=False)),
                ('agendarVisita', models.DateField(blank=True, null=True)),
                ('realizaVisita', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
            },
            bases=('viewflow.process',),
        ),
        migrations.CreateModel(
            name='Recaudo',
            fields=[
                ('numero_recaudo', models.CharField(max_length=12, primary_key=True, serialize=False, validators=[django.core.validators.RegexValidator('^\\d{1,12}$')])),
                ('banco', models.CharField(max_length=200)),
                ('valor', models.DecimalField(decimal_places=2, default='0,00', max_digits=15)),
                ('evidencia', filer.fields.file.FilerFileField(null=True, on_delete=django.db.models.deletion.CASCADE, to='filer.File')),
            ],
        ),
        migrations.CreateModel(
            name='Respuesta',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='Seguimiento',
            fields=[
                ('id_seguimiento', models.CharField(max_length=8, primary_key=True, serialize=False, validators=[django.core.validators.RegexValidator('^\\d{1,8}$')])),
                ('nombre', models.CharField(max_length=100)),
                ('descripcion', models.CharField(max_length=300)),
                ('adjunto', filer.fields.file.FilerFileField(null=True, on_delete=django.db.models.deletion.CASCADE, to='filer.File')),
                ('id_balance', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='helloworld.Balance')),
            ],
        ),
        migrations.CreateModel(
            name='Solicitud',
            fields=[
                ('nombre_solicitate', models.CharField(default='', max_length=200)),
                ('identificacion_solicitate', models.CharField(default='', max_length=12, validators=[django.core.validators.RegexValidator('^\\d{1,12}$')])),
                ('direccion_solicitate', models.CharField(max_length=100, null=True)),
                ('barrio_solicitate', models.CharField(max_length=100, null=True)),
                ('id_solicitud', models.CharField(max_length=15, primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=200, unique=True)),
                ('direccion_solicitud', models.CharField(default=' ', max_length=100)),
                ('barrio_solicitud', models.CharField(default=' ', max_length=100)),
                ('municipio', models.CharField(default=' ', max_length=100)),
                ('fecha', models.DateField(default=datetime.date.today)),
                ('fecha_respuesta', models.DateField(default=datetime.datetime(2017, 5, 17, 9, 28, 58, 588073))),
                ('approved', models.BooleanField(default=False)),
                ('id_expediente', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='helloworld.Expediente')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Empleado',
            fields=[
                ('customuser_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='helloworld.CustomUser')),
            ],
            options={
                'verbose_name': 'Empleado',
            },
            bases=('helloworld.customuser',),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='Visita',
            fields=[
                ('agendarvisita_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, to='helloworld.AgendarVisita')),
                ('id_visita', models.CharField(max_length=5, primary_key=True, serialize=False, validators=[django.core.validators.RegexValidator('^\\d{1,10}$')])),
                ('detalles', models.CharField(max_length=300)),
                ('kilogramos_biomasa', models.DecimalField(blank=True, decimal_places=2, max_digits=15, null=True)),
                ('id_arbol', models.ManyToManyField(to='helloworld.Ficha_individuo')),
                ('id_solicitud', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='helloworld.Solicitud')),
            ],
            bases=('helloworld.agendarvisita',),
        ),
        migrations.AddField(
            model_name='respuesta',
            name='id_solicitud',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='helloworld.Solicitud'),
        ),
        migrations.AddField(
            model_name='respuesta',
            name='respuesta',
            field=filer.fields.file.FilerFileField(null=True, on_delete=django.db.models.deletion.CASCADE, to='filer.File'),
        ),
        migrations.AddField(
            model_name='procesovisita',
            name='solicitud',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='helloworld.Solicitud'),
        ),
        migrations.AddField(
            model_name='procesosolicitud',
            name='solicitud',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='helloworld.Solicitud'),
        ),
        migrations.AddField(
            model_name='anexo',
            name='id_solicitud',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='helloworld.Solicitud'),
        ),
        migrations.AddField(
            model_name='seguimiento',
            name='id_visita',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='helloworld.Visita'),
        ),
        migrations.AddField(
            model_name='procesovisita',
            name='visita',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='helloworld.Visita'),
        ),
        migrations.AddField(
            model_name='procesosolicitud',
            name='usuario',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='helloworld.Empleado'),
        ),
        migrations.AddField(
            model_name='empleado',
            name='id_visita',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='helloworld.Visita'),
        ),
        migrations.AddField(
            model_name='empleado',
            name='solicitud',
            field=models.ManyToManyField(blank=True, to='helloworld.Solicitud'),
        ),
        migrations.AddField(
            model_name='acta',
            name='id_visita',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='helloworld.Visita'),
        ),
    ]
